Search Bash events
GET /api/bash/bash_events/search
Search / List bash event events
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
kind__eq | query | `enum | null` | no |
command_id__eq | query | `string | null` | no |
timestamp__gte | query | `string | null` | no |
timestamp__lt | query | `string | null` | no |
order__gt | query | `integer | null` | no |
sort_order | query | BashEventSortOrder | no | — |
page_id | query | `string | null` | no |
limit | query | integer | no | — |
Responses
| Status | Description |
|---|---|
200 | Successful Response |
422 | Validation Error |
Response body
| Field | Type | Required | Description |
|---|---|---|---|
items | BashEventBase[] | yes | — |
next_page_id | `string | null` | no |
Operation ID: search_bash_events_api_bash_bash_events_search_get